Skip to main content
`Ctrl`+`K`

# GObject

GObject is the foundation for object-oriented programming in the GNOME libraries. For example `GObject.Object` is the base providing the common attributes and methods for all object types in GTK and the other libraries in this guide.

The `GObject.Object` class provides methods for object construction and destruction, property access methods, and signal support.

This chapter will introduce some important aspects about the GObject implementation in Python.

Contents

- Basics
  - GObject Initialization
  - Properties
    - Property Bindings
    - Property Bindings with Transformations
  - Signals
    - The `notify` signal
- Subclassing
  - Inherit from GObject.GObject
  - Properties
    - Create new properties
  - Signals
    - Create new signals
  - Virtual Methods
- Interfaces
  - Example
- Weak References